DRM_MODE_CONNECTOR_L(9)

NAME
drm_mode_connector_list_update - update the mode list for the connector

SYNOPSIS

void drm_mode_connector_list_update(struct drm_connector * connector, bool merge_type_bits);

ARGUMENTS

connector
    the connector to update

merge_type_bits
    whether to merge or overright type bits.

DESCRIPTION

This moves the modes from the connector probed_modes list to the actual mode list. It compares the probed mode against the current list and only adds different/new modes.

This is just a helper functions doesn't validate any modes itself and also doesn't prune any invalid modes. Callers need to do that themselves.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT